> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-v1/catalogo-de-productos.md).

# Catálogo de productos

Despliega más información sobre el catálogo de productos del sitio.&#x20;

<table data-full-width="false"><thead><tr><th width="137">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>/API_V1/catalogo</code></td></tr></tbody></table>

## Parámetros <a href="#parametros" id="parametros"></a>

<table><thead><tr><th width="291.4000244140625">Clave</th><th width="197">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>pag</code></strong></td><td>Int(3)</td><td><p>El número de la página que se quiere recuperar.</p><ul><li><strong><code>min: 1</code></strong></li><li><strong><code>max: null</code></strong></li><li><strong><code>default: 1</code></strong></li></ul></td></tr><tr><td><strong><code>tot</code></strong></td><td>Int(3)</td><td><p>Cantidad de ítems por página.</p><ul><li><strong><code>min: 10</code></strong></li><li><strong><code>max: 250</code></strong></li><li><strong><code>default: 50</code></strong></li></ul></td></tr><tr><td><strong><code>categ</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar categoría especifica del sitio seleccionado.</td></tr><tr><td><strong><code>marca</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar marca especifica del sitio seleccionado.</td></tr><tr><td><strong><code>cpre (presentacion)</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar presentación especifica del sitio seleccionado.</td></tr><tr><td><strong><code>grp</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar grupo del sitio seleccionado.</td></tr><tr><td><strong><code>descprd (descuento de producto)</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar descuentos de producto del sitio seleccionado.</td></tr><tr><td><strong><code>q</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Realiza búsqueda de palabras claves en el catálogo del sitio.</td></tr><tr><td><strong><code>rebajados</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar artículos con precio rebajado del sitio seleccionado.</td></tr><tr><td><strong><code>min (precio)</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Despliega el catálogo del sitio.</td></tr><tr><td><strong><code>max (precio)</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Despliega el catálogo del sitio.</td></tr><tr><td><strong><code>sale</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar artículos en sale del sitio seleccionado.</td></tr><tr><td><strong><code>outlet</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar artículos en outlet del sitio seleccionado.</td></tr><tr><td><strong><code>nuevos</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Recuperar artículos nuevos del sitio seleccionado.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```
https://example.com/API_V1/catalogo?pag=2&tot=10
```

## Request

Se deberá realizar una consulta `GET` a la URL correspondiente, siendo el último segmento `{catalogo}.`

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```url
https://example.com/API_V1/catalogo
```

## Response

<table data-full-width="false"><thead><tr><th width="133.33333333333331">Clave</th><th width="128">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>error</code></strong></td><td>Boolean</td><td>Valor booleano que indica si se generó algún error en la consulta.</td></tr><tr><td><strong><code>msj</code></strong></td><td>String</td><td>Mensaje descriptivo sobre la consulta realizada.</td></tr><tr><td><strong><code>catalogo</code></strong></td><td><a href="/developers/referencia/modelos-de-datos/api-v1.md#catalogo"><strong>Catalogo</strong></a></td><td>Despliega el catálogo del sitio.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo-1" id="ejemplo-1"></a>

```json
{
  "error": false,
  "msj": "",
  "productos": [
    {
      "cod": "01",
      "nom": "Jean Ejemplo",
      "moneda": "UYU",
      "categ": {
        "id": 65,
        "nom": "Jeans"
      },
      "marca": {
        "id": 8,
        "nom": "Adidas"
      },
      "caracts": {
        "genero": "Mujer",
        "composicion": "algodon",
        "reposicion": "M"
      },
      "vars": [
        {
          "cod": "01",
          "nom": "producto base",
          "desc": "",
          "imgs": [
            "https://f.fcdn.app/imgs/9e5167/demo.com.uy/demo/ac3b/original/catalogo/38050_018/2000-2000/pantalon-rib-fino-rosado-rosa-antique.jpg"
          ],
          "thumbs": [
            "https://f.fcdn.app/imgs/9e5167/demo.com.uy/demo/ac3b/original/catalogo/38050_018/2000-2000/pantalon-rib-fino-rosado-rosa-antique.jpg"
          ],
          "pres": [
            {
              "sku": "01::UNICO",
              "sku_fn": "1:01:01:UNICO:1",
              "stock": 12,
              "pr_normal": {
                "UYU": 130,
                "USD": 12
              },
              "pr_promo": {
                "UYU": 130,
                "USD": 12
              },
              "pr_lista": {
                "UYU": 130,
                "USD": 12
              },
              "identificadores": [],
              "sku_cm": "01::UNICO",
              "cod": "UNICO",
              "nom": "Talle único"
            }
          ],
          "caracts": {
            "promos": "Promo 20.01%",
            "tiene-promo": "Si",
            "new-price": "No",
            "tiene-promo-aux": "Si"
          }
        }
      ]
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-v1/catalogo-de-productos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
